<?php
	require ("./Funciones/funciones.php");
	
	$conexion = conecta();
	$codigo = $_POST['codigo'];
	$sql= "SELECT * FROM Productos WHERE Codigo = '$codigo'";
	$res = mysqli_query($conexion,$sql);
	$prod = mysqli_fetch_array($res);
	$idp = $prod['IdProducto'];

	$prueba = "SELECT * FROM ProductoDetalle WHERE IdProducto = 0";
	$prue = mysqli_query($conexion,$prueba);
	$grandtotal = 0;
	$total=0;
	while($registro2 = mysqli_fetch_array($prue)){

		$idi = $registro2['IdInsumo'];
		$ins = "SELECT * FROM Insumos WHERE IdInsumo = '$idi'";
		$insa = mysqli_query($conexion,$ins);
		$insb = mysqli_fetch_array($insa);
		$precio = $insb['PrecioCompra'];
		$moneda = $insb['Moneda'];
		$UnidPaq = $insb['UnidPaq'];

		if($moneda == 1){
			$preciouni = $precio/$UnidPaq;
		}else if($moneda == 2){
			$precioa = $precio * 21;
			$preciouni = $precioa/$UnidPaq;
		}
		$totalunit = $insb['TotalUnit'];
		$cantidad = $registro2['Cantidad'];
		$total = $totalunit * $cantidad;
		$grandtotal= $grandtotal + $total;
	}

	echo $grandtotal;
?>